読者です 読者をやめる 読者になる 読者になる

Songbird をインストールしたい

Songbird

SongbirdWinamp を除けば、結構いい感じの MusicPlayer だった。
しかし、Linux には Audacious という Winamp ライクな MusicPlayer があるのでそれを使っている。
が、やはり Winamp が恋しい。
Debian 6.0.3 + backport な Audacious ではタグの編集ができないのだ。
何かすればできるのかもしれないが、私は知らない。

何故 Audacious なのかというと、元から入っている Rhythmbox は何故か midi や wav で止まるし、Banshee はバージョンが低くて<お察しください>状態であり、
今こそよさげな MusicPlayer の降臨が熱望されているのだ(私の中で)。

まずはググる

ググッてみると、これにあるとおり、 Automatix2 が必要らしい。しかし、Automatix2 は開発終了らしく、手に入れることが出来なかった。
そこで、もう少しググッてみると、Ultramatixというのがあって、 これが Automatix2 の後継らしい…がこれもソースを DL することができなかった。

Ultamatix - Building your O/S
これが Ultamatix の公式サイトらしいが、トップページの他は 404 であり、どうしようもない。
お手上げである。

しかし大丈夫

希望の道は絶たれたかに見えた。しかし、私は Nigtingale という LinuxSongbird の fork の存在を知っている。
何か知らないが、今月動きがあったようだ。にゅーでべろっぱー! ぷれびゅー びるど が かみんぐすーん!らしい。
今、nightingale-hacking という git リポジトリをクローニングしている最中だ。

さて、./build.sh を実行すればいいんだと思うが、いろいろインストールしなければいけないライブラリがあった。

おそらく必要なライブラリ(debian)

  1. libnspr4-dev
  2. libtag1-dev
  3. libtagc0-dev
  4. gstreamer0.10-lame

これらをインストールして再度 ./build.sh を実行すると:

*** Could not derive SB_MOZILLA_VERSION. 中止.

みたいにでた。

SB_MOZILLA_VERSION でググると、How to build Nightingale っていう Nightingale フォーラムの記事? が引っかかったんだけど、どーすればいいのか謎ww

~/opt/src/nightingale-hacking/dependencies/linux-i686/mozilla-6.0.2/include/mozilla-config.h

があることから、Firefox のソースを DL する必要があることがわかる。 っていうか、mozilla-config.h なんてファイルは存在しなかった。